---
title: Introduction
weight: 1
---

Laravel-uptime-monitor is a laravel package that provides a powerful, easy to configure uptime monitor. It will notify you when your site is down (and when it comes back up). You can also be notified a few days before an SSL certificate on one of your sites expires. Under the hood, the package leverages Laravel native notifications, so it's easy to use Slack, Telegram or your preferred notification provider.

## Looking for a hosted solution?

If you're looking for a hosted solution, we can highly recommend [Oh Dear](https://ohdear.app). This service can:

- perform multi-location uptime checks
- crawl your entire site and report any broken links
- check your SSL certificate
- measure your site's performance
- make sure your scheduled jobs run on time
- check if your application is healthy (by monitoring your free disk space, database, Redis, Horizon, security warnings, and more!)
- notify you of any changes to your DNS records
- monitor the expiry date of your domain
- display status pages so you can inform your users about the state of your service

## We have badges!

<section class="article_badges">
    <a href="https://github.com/spatie/laravel-uptime-monitor/releases"><img src="https://img.shields.io/github/release/spatie/laravel-uptime-monitor.svg?style=flat-square" alt="Latest Version"></a>
    <a href="https://github.com/spatie/laravel-uptime-monitor/blob/master/LICENSE.md"><img src="https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat-square" alt="Software License"></a>
    <a href="https://travis-ci.org/spatie/laravel-uptime-monitor"><img src="https://img.shields.io/travis/spatie/laravel-uptime-monitor/master.svg?style=flat-square" alt="Build Status"></a>
    <a href="https://scrutinizer-ci.com/g/spatie/laravel-uptime-monitor"><img src="https://img.shields.io/scrutinizer/g/spatie/laravel-uptime-monitor.svg?style=flat-square" alt="Quality Score"></a>
    <a href="https://styleci.io/repos/67774357"><img src="https://styleci.io/repos/67774357/shield?branch=master" alt="StyleCI"></a>
    <a href="https://packagist.org/packages/spatie/laravel-uptime-monitor"><img src="https://img.shields.io/packagist/dt/spatie/laravel-uptime-monitor.svg?style=flat-square" alt="Total Downloads"></a>
</section>
